Summary:	Programs which control basic system processes.
Name:		SysVinit
Version:	2.78
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Base
Source:		ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-%{version}.tar.gz
Patch1:		sysvinit-2.74-man.patch
Patch2:		sysvinit-2.77-md5-be.patch
Patch3:		sysvinit-2.78-sigint.patch
Patch4:		sysvinit-2.78-halt.patch
Patch5:		sysvinit-2.78-md5.patch
Patch6:		sulogin-nologin.patch
Patch7:		SysVinit-2.78-Makefile.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	pam >= 0.66-5

%description
The SysVinit package contains a group of processes that control 
the very basic functions of your system. SysVinit includes the init 
program, the first program started by the Linux kernel when the 
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" make -C src

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  for I in sbin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
  done

  make -C src ROOT=$RPM_BUILD_ROOT BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install
  mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
  ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof
  chmod 750 $RPM_BUILD_ROOT/usr/bin/utmpdump

%post
  [ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl
  exit 0

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
  %defattr(-,root,root)
  %doc doc/Propaganda doc/changelog doc/Install
  %doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
  %doc %{_mandir}/*/*

  /sbin/pidof
  /sbin/poweroff
  /sbin/telinit
  /usr/bin/mesg
  /dev/initctl

  %attr(0500,root,root)		/sbin/halt
  %attr(0500,root,root)		/sbin/init
  %attr(0500,root,root)		/sbin/killall5
  %attr(0500,root,root)		/sbin/reboot
  %attr(0500,root,root)		/sbin/runlevel
  %attr(0500,root,root)		/sbin/shutdown
  %attr(0500,root,root)		/sbin/sulogin
  %attr(0510,root,admin)	/usr/bin/last
  %attr(0510,root,admin)	/usr/bin/lastb
  %attr(0510,root,admin)	/usr/bin/utmpdump

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu May 16 2002 Ryan W. Maple <ryan@guardiandigtial.com>
- Version 2.78, Release 1.2.3
  - Tighten some perms on shutdown/reboot programs as per Rabon audit.

* Thu Mar 21 2002 Ryan W. Maple <ryan@guardiandigtial.com>
- Version 2.78, Release 1.2.[12]
  - Ryan-ized spec.
  - Started hacking on eval system.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.78, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.78, Release 1.0.4
  - Added CFLAGS so it will build properly for i386.

* Sun Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes
- small fixes

* Thu Jul 06 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to the /sbin/binaries for
        Guardian Digital EnGarde

* Sun Jun 25 2000 Dave Wreski <dave@guardiandigital.com>
- Remove sgid from wall
